# AGit: Git for the Pragmatic (and Slightly Lazy) Developer

Are you tired of Git, with its command-line syntax that sounds like a half-baked mixture of Latin and Klingon? Do you find yourself in the middle of an intense coding session, only to be jolted out of the flow because you can't remember the exact sequence of characters to pluck a revision out or execute a particular operation? Has your mind ever screamed, "It's 2023, for crying out loud, not the 90s!"

Well, welcome to the club! My name is Sivan, and like you, I'm a lazy (read: efficient) developer who loves to code but hates to wrestle with Git's arcane syntax.

So, I created AGit: the Git whisperer, making Git a tad more civilized and a lot more human-friendly. It's a command-line assistant that translates your natural language into Git commands. Who would have thought it could be as easy as just telling Git what to do, like, in English? 


To start speaking the Git language without actually learning it, you'll need:

- Python 3.11 or higher (A magical snake, with magical powers)
- OpenAI API key (No less magical)

## How to Use Your New Powers

Want to make Git do your bidding? Just whisper your command into AGit's ear:

```bash
agit compare last two revisions
```

Or:

```bash
agit checkout a branch to work on the lru cache feature
```

AGit will interpret your request, translate it to Git-ese, and voila! You've just manipulated the time-space coding continuum.

This is a **shortened** version of the README you should probably checkout [here](https://github.com/microagi/agit) :)

Welcome to 2023, where we make developer tools work for us, in the language we choose.

